Almico's Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001137SpeedFanHardware supportpublic2008-05-13 21:102008-05-15 01:03
Reporterateeq 
Assigned Toalfredo 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformDell XPS 710 H2C (nForce 590)OSVista x64OS VersionSP1
Product Version4.34 
Target VersionFixed in Version4.35 beta 
Summary0001137: System powers off on speedfan startup during SMBus scan
DescriptionWhen speedfan starts up without /nosmbscan it causes the system to power off.

When run in debug mode, it picks 2 SMBuses and a collection of devices.
It can scan the first one ok, all registers but as soon as the second one is scanned at $2E $00 the system powers off.

Steps To ReproduceStart speedfan with SMBus scanning enabled
Additional Information12/05/2008 18:43:58 - START OF DMI HEADER
12/05/2008 18:43:58 - Anchor String=_SM_
12/05/2008 18:43:58 - Entry Point Length=31
12/05/2008 18:43:58 - SMBIOS Major Version=2
12/05/2008 18:43:58 - SMBIOS Minor Version=3
12/05/2008 18:43:58 - Maximum Structure Size=194
12/05/2008 18:43:58 - Entry Point Revision=0
12/05/2008 18:43:58 - Intermediate Anchor String=_DMI_
12/05/2008 18:43:58 - Intermediate Checksum=81
12/05/2008 18:43:58 - Structure Table Length=2619
12/05/2008 18:43:58 - Structure Table Address=$000F0450
12/05/2008 18:43:58 - Number of SMBIOS Structures=76
12/05/2008 18:43:58 - SMBIOS BCD Revision=$23
12/05/2008 18:43:58 - END OF DMI HEADER
12/05/2008 18:43:58 - About to read DMI tables...
12/05/2008 18:43:58 - DMI tables properly read
12/05/2008 18:43:58 - DMI tables properly parsed
12/05/2008 18:43:58 - -> MB Manufacturer <Dell Inc.>
12/05/2008 18:43:58 - -> MB Model <0UY253>
12/05/2008 18:43:58 - -> MB Version <A00>
12/05/2008 18:43:58 - -> MB Serial <..CN1374073I00ET.>
12/05/2008 18:43:58 - -> SYS Manufacturer <Dell Inc.>
12/05/2008 18:43:58 - -> SYS ProductName <Dell XPS710>
12/05/2008 18:43:58 - -> SYS Version <>

Other Cards:
Ageia PhysX Card
Sound Blaster X-Fi
TagsNo tags attached.
Motherboard Model
Video Card ModelnVidia GeForce 8800 GTX 768MB (x2 SLI)
Attached Files? file icon smbdebug.nfo [^] (20,342 bytes) 2008-05-13 21:10

- Relationships
has duplicate 0001063resolvedalfredo computer turned off and will not turn back on 

-  Notes
(0003545)
alfredo (manager)
2008-05-13 22:15

Please, send me an email and I will send you a beta specific for your hardware.
(0003546)
alfredo (manager)
2008-05-13 22:21

By the way: do you know if other, similar, tools find any useful device at address $2E on the SMBus on your motherboard?
(0003547)
alfredo (manager)
2008-05-13 23:56

Beta sent.
(0003561)
alfredo (manager)
2008-05-14 19:31

Did you receive the beta?
(0003575)
ateeq (reporter)
2008-05-15 00:58

Beta received and installed. It doesn't shutdown the PC but is't showing any temperatures or fans either (other than CPU temps).

I've just run SEND REPORT and I think it's sent the output to you.
(0003576)
alfredo (manager)
2008-05-15 01:03

Ok. So, this issue is fixed. How can the hardware monitor chip be reached is still a mistery to me on your motherboard. It looks like DELL used a SMSC chip with a disabled hardware monitor subsystem. I hope to be able to find how to access whatever this motherboard is using.

- Issue History
Date Modified Username Field Change
2008-05-13 21:10 ateeq New Issue
2008-05-13 21:10 ateeq Status new => assigned
2008-05-13 21:10 ateeq Assigned To => alfredo
2008-05-13 21:10 ateeq File Added: smbdebug.nfo
2008-05-13 21:10 ateeq Video Card Model => nVidia GeForce 8800 GTX 768MB (x2 SLI)
2008-05-13 22:14 alfredo Status assigned => acknowledged
2008-05-13 22:15 alfredo Note Added: 0003545
2008-05-13 22:21 alfredo Note Added: 0003546
2008-05-13 22:56 alfredo Relationship added has duplicate 0001063
2008-05-13 23:56 alfredo Note Added: 0003547
2008-05-14 19:31 alfredo Note Added: 0003561
2008-05-15 00:58 ateeq Note Added: 0003575
2008-05-15 01:03 alfredo Note Added: 0003576
2008-05-15 01:03 alfredo Status acknowledged => resolved
2008-05-15 01:03 alfredo Resolution open => fixed
2008-05-15 01:03 alfredo Fixed in Version => 4.35 beta


Copyright © 2000 - 2018 MantisBT Team
Time: 0.3521 seconds.
memory usage: 8,098 KB
Powered by Mantis Bugtracker